%ext ck1

%patch $180D $00 $00 #Strength of regular vorticon -1 [i.e 1]
%patch $81CE $00     #Ignore ending sequence, go to game over.
%patch $9586  $EB $AD #Go to title screen [also $9585, but more interesting]
%patch $9593  $EB $AD #Goes to high score
%patch $95A3  $EB $AD #Disable
%patch $95B5  $EB $AD #Disable
%patch $97C9 $90
%patch $4409      $26 $8B $07 $B6 $0D $F6 $FE 
%patch $4410  $F6 $EE $26 $89 $07 $E9 $60 $01 
%patch $4482  $E9 $74 $FF 
%patch $44BA  $E9 $3C $FF 
%patch $4513  $E9 $E3 $FE 
%patch $28EC                  $26 $8B $07 $B6 
%patch $28F0  $0D $F6 $FE $F6 $EE $26 $89 $07 
%patch $28F8  $03 $1E $08 $6C $03 $1E $08 $6C 
%patch $2900  $26 $89 $07 $90 $90 $90 $90 $90 
%patch $7D88  $06 $00 #Single tile "Done" marker 
%patch $55EF $EB $4A         
%patch $55F1 $33 $C0 $A3 $C8 $AA $A3 $9A $AA $A3 $C0 $6E $C3
%patch $7D01 $E8 $ED $D8 $90 $90 $90 

#====================== Vorticons Extended =====================

#far segment code
%patchfile $10000 atrseg.bin

# VIDEO --------------------------------------------------

#Far Call to ATR_0
%patch $B7B2 $10001000RL

#Far Call to ATR_1
%patch $B7AA $1000104DRL

#Extra DSEG stuff
#Patched at DS:AE00h
%patchfile $1DE50 v2inc.bin

#masked animations
#add si, [cur_anim_plane_nptr]; mov si, [si]; nop; nop
%patch $B9CE $03 $36 $BE $35 $8B $34 $90 $90 

# TILESETS -----------------------------------------------

# COMMENT OUT ONE OF THE FOLLOWING LINES

# Default: Using 4 Frames, 8 frame line commented out

#%patch $1804C $00A8W $07C4W $0EE0W $15FCW $8372W $8A8EW $9740W $9E5CW # USE 8 FRAMES
%patch $1804C $00A8W $07C4W $0EE0W $15FCW $00A8W $07C4W $0EE0W $15FCW # USE 4 FRAMES (4 x 2)

# References to Animation and Info Planes

#%patch $B799 $E #8 planes 

# Tileset Loader
%patchfile $13BF loader.bin
%patch $676 $E8 $0D87W #call loader

# call tile collision routine
%patch $2C6D $A1 $40 $82 $F7 $2E $14 $5B $01 $06 $3C $82 $A1 $42 $82 $F7 $2E
$14 $5B $01 $06 $3E $82 $9A $10000000RL $C3

# change blit_func array and pointer
%patch $BB67 $500CW 
%patch $1805C $0W $BC3BW $BC54W $BC6FW $BC95W

# references to tileinfo type plane
%patch $045A $8A $87 $3A1CW $98 $90
%patch $281E $8A $87 $3A1CW $98 $90
%patch $283D $8A $87 $3A1CW $98 $90
%patch $4364 $8A $87 $3A1CW $98 $90

# references to tileinfo uedge blocking
%patch $A719 $80 $BF $3DAAW $0 $90 $90 #overwrite shl bx, 1; CODE: cmp byte ptr TileInfo_UEDGE[bx], 0; nop; nop;
%patch $38C5 $8A $87 $3DAAW $24 $03 $98 $3C $01 #think_13_keen_ground: overwrite shl bx, 1; CODE: mov al, TileInfo_UEDGE[bx], 0; and al, 3; cbw; cmp al, 1

# references to tileinfo redge blocking
%patch $473D $80 $BF $4138W $0 $90 $90
%patch $495A $80 $BF $4138W $0 $90 $90
%patch $AA1E $80 $BF $4138W $0 $90 $90

# references to tli DEdge blocking
%patch $A806 $80 $BF $44C6W $0 $90 $90

# references to tli LEdge Blocking
%patch $382F $80 $BF $4854W $0 $90 $90
%patch $47B1 $80 $BF $4854W $0 $90 $90
%patch $49C9 $80 $BF $4854W $0 $90 $90
%patch $A931 $80 $BF $4854W $0 $90 $90

# EXTRA STUFF -----------------------------------------------
# All of this is optional, but might make the game nicer to play

# remove del_x = 0 on keen shot
%patch $3B47 $90 $90 $90

# pogo and jump fix: keen must have > 0 Y velocity to pogo
%patch $3FAC $F7 $C6 $02 $00 $74 $18 $83 $3E $42 $82 $00 $7C $11 $E9 $44 $D5
%patch $3D68 $F7 $C6 $02 $00 $74 $12 $83 $3E $42 $82 $00 $7C $0B $E9 $A3 $D7

%end

#============= END Vorticons Extended PATCH 320x200 ====================
